<?php
global $config;
$lang->env = new stdclass();

$lang->env->common = '环境管理';
$lang->env->browse = '环境列表';
$lang->env->create = '添加环境';
$lang->env->edit   = '编辑环境';
$lang->env->delete = '删除环境';
$lang->env->name   = '环境名称';
$lang->env->code   = '环境代号';
$lang->env->system = '部署方式';
$lang->env->type   = '类别';
$lang->env->desc   = '环境描述';

$lang->env->codePlaceholder = '可以由字母、数字和下划线组成';

$lang->env->systemList = array();
if($config->inQuickon) $lang->env->systemList['spug'] = '主机上线';
$lang->env->systemList['manual'] = '手动上线';

$lang->env->typeList = array();
$lang->env->typeList['dev']  = '开发环境';
$lang->env->typeList['test'] = '测试环境';
$lang->env->typeList['pre']  = '预发布环境';
$lang->env->typeList['prod'] = '生产环境';

$lang->env->confirmDelete = '确定要删除环境吗？';

$lang->env->notice = new stdclass();
$lang->env->notice->name        = '环境名称不能超过50个字符';
$lang->env->notice->code        = '只能输入字母、数字和下划线，不可重复';
$lang->env->notice->desc        = '环境描述不能超过255个字符';
$lang->env->notice->codeLength  = '环境代号长度不能超过50个字符';
$lang->env->notice->hasTemplate = '该环境已关联上线模版，无法删除';
$lang->env->notice->noSpug      = '内置Spug服务未启动，不可操作';

$lang->env->apiError = new stdclass();
$lang->env->apiError->envCodeIsExist = '环境代号 %s 已存在，请更改后重试';

$lang->env->apiErrorList = array();
$lang->env->apiErrorList[] = '该环境已关联了发布配置，请删除相关发布配置后再尝试删除';

$lang->env->error = new stdclass();
$lang->env->error->envCodeIsExist = '环境代号 %s 已存在，请更改后重试';
